import { Category, Expression, ExpressionId } from "../model";
import { useExpressionData } from "./useExpressionData";

export function useExpressionCategories(
  expression_id?: ExpressionId | undefined
): Category[] {
  const { categories, expression_to_category } = useExpressionData();
  const category_ids = expression_to_category
    .filter((item) => item.expression_id === expression_id)
    .map((item) => item.category_id);
  return categories.filter((item) => category_ids.includes(item.id));
}
