import { Expression, ExpressionSetId } from "../model";
import { useExpressionData } from "./useExpressionData";

export function useExpressionsInSet(
  expression_set_id: ExpressionSetId | undefined
): Expression[] {
  const { expressions, expression_to_expression_set } = useExpressionData();
  const expression_ids = expression_to_expression_set
    .filter((item) => item.expression_set_id === expression_set_id)
    .map((item) => item.expression_id);
  return expressions.filter((item) => expression_ids.includes(item.id));
}
