import { useRouter } from "next/router";
import { ExpressionSet } from "../model";
import { useExpressionData } from "./useExpressionData";

export function useQueriedExpressionSet(): ExpressionSet | undefined {
  const { query } = useRouter();
  const { expression_sets } = useExpressionData();
  const expression_set_id = Number.parseInt(query["set-id"] as string);

  if (!Number.isInteger(expression_set_id)) {
    return undefined;
  }
  return expression_sets.find((item) => item.id === expression_set_id);
}
